Delete a field definition
Server:
https://{kibana_url}
- DELETE /api/cases/field_definitions/{field_definition_id}
- DELETE /s/{space_id}/api/cases/field_definitions/{field_definition_id}
Refer to Spaces for more information.
Deletes a field definition. You must have the "Manage templates" sub-privilege for the Cases feature of the owning solution. A field definition cannot be deleted while it is referenced by an active template or linked to an active custom field in the Cases configuration. Requires the Cases feature to be enabled in the space.
Path Parameters
-
field_definition_idstring · max: 36required -
The identifier for the field definition.
Responses
204
The field definition was deleted.
Authorization information is missing or invalid.
-
errorstring -
messagestring -
statusCodeinteger
The user does not have the manage templates privilege for the owner.
-
errorstring -
messagestring -
statusCodeinteger
The field definition was not found.
-
errorstring -
messagestring -
statusCodeinteger
The field definition is referenced by one or more active templates, or is linked to an active custom field in the Cases configuration.
-
errorstring -
messagestring -
statusCodeinteger